package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.CustomLoginCompletionTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

@Repository
public interface CustomLoginCompletionRepository extends BaseRepository<CustomLoginCompletionTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    CustomLoginCompletionTable findFirstById(Long id);

    List<CustomLoginCompletionTable> findAllByIdIn(List<Long> ids);

    CustomLoginCompletionTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    CustomLoginCompletionTable findFirstByLoginAndPlatformAndStatus(Long login, String platform, Integer status);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    CustomLoginCompletionTable findFirstBySerial(String serial);
}
